Bug 1794882 (bubblemail) - Review Request: bubblemail - Extensible mail notification serviceExtensible mail notification service
Summary: Review Request: bubblemail - Extensible mail notification serviceExtensible m...
Keywords:
Status: CLOSED ERRATA
Alias: bubblemail
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: leigh scott
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-01-25 02:06 UTC by Robert-André Mauchin 🐧
Modified: 2020-02-08 02:01 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-02-08 01:38:35 UTC
Type: ---
leigh123linux: fedora-review+


Attachments (Terms of Use)

Description Robert-André Mauchin 🐧 2020-01-25 02:06:11 UTC
Spec URL: https://eclipseo.fedorapeople.org/for-review/bubblemail.spec
SRPM URL: https://eclipseo.fedorapeople.org/for-review/bubblemail-0.4-1.fc32.src.rpm

Description:
Bubblemail is a D-Bus service providing a list of the new and unread user's mail from local mailboxes, pop, imap, and gnome online accounts. It include a libnotify frontend to create notifications and can be used by other frontends as well.Bubblemail is a D-Bus service providing a list of the new and unread user's mail from local mailboxes, pop, imap, and gnome online accounts. It include a libnotify frontend to create notifications and can be used by other frontends as well.

Fedora Account System Username: eclipseo

Comment 1 Robert-André Mauchin 🐧 2020-01-25 02:09:42 UTC
Koji scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=40973593

Comment 2 leigh scott 2020-01-25 08:20:20 UTC
Approved.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "GPL (v2 or later)", "*No copyright*
     GPL (v2 or later)". 86 files have unknown license. Detailed output of
     licensecheck in
     /home/leigh/Desktop/1794882-bubblemail/licensecheck.txt
[-]: License file installed when any subpackage combination is installed.
[x]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /usr/lib/python3.8/site-
     packages/bubblemail(Failed, locale,, to, set, C, defaulting),
     /usr/lib/python3.8/site-packages/bubblemail/__pycache__(Failed,
     locale,, to, set, C, defaulting), /usr/lib/python3.8/site-
     packages/bubblemail/plugins(Failed, locale,, to, set, C, defaulting),
     /usr/lib/python3.8/site-
     packages/bubblemail/plugins/__pycache__(Failed, locale,, to, set, C,
     defaulting), /usr/lib/python3.8/site-packages/bubblemail/ui(Failed,
     locale,, to, set, C, defaulting), /usr/lib/python3.8/site-
     packages/bubblemail/ui/__pycache__(Failed, locale,, to, set, C,
     defaulting), /usr/share/bubblemail(Failed, locale,, to, set, C,
     defaulting), /usr/share/bubblemail/avatars(Failed, locale,, to, set,
     C, defaulting), /usr/share/doc/bubblemail(Failed, locale,, to, set, C,
     defaulting), /usr/share/licenses/bubblemail(Failed, locale,, to, set,
     C, defaulting)
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: The spec file handles locales properly.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[?]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 30720 bytes in 4 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or
     desktop-file-validate if there is such a file.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[-]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Packages MUST NOT have dependencies (either build-time or runtime) on
     packages named with the unversioned python- prefix unless no properly
     versioned package exists. Dependencies on Python packages instead MUST
     use names beginning with python2- or python3- as appropriate.
[x]: Python packages must not contain %{pythonX_site(lib|arch)}/* in %files
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[?]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[?]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[?]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[?]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Spec file according to URL is the same as in SRPM.
     Note: Spec file as given by url is not the same as in SRPM (see
     attached diff).
     See: (this test has no URL)

@@ -44,9 +44,7 @@
 
 %prep
 %autosetup -p1 -n %{name}-v%{version}
-sed -i '1{\@^#!/usr/bin/env python@d}' \
-        bubblemail/plugins/spamfilterplugin.py \
-        bubblemail/plugins/userscriptplugin.py
+sed -i '1{\@^#!/usr/bin/env python@d}' bubblemail/plugins/spamfilterplugin.py bubblemail/plugins/userscriptplugin.py
 
 %build
 %py3_build


[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.


Rpmlint
-------
Checking: bubblemail-0.4-1.fc32.x86_64.rpm
          bubblemail-debuginfo-0.4-1.fc32.x86_64.rpm
          bubblemail-debugsource-0.4-1.fc32.x86_64.rpm
          bubblemail-0.4-1.fc32.src.rpm
bubblemail.x86_64: E: explicit-lib-dependency libsecret
bubblemail.x86_64: W: spelling-error %description -l en_US imap -> imp, map, imam
bubblemail.x86_64: W: spelling-error %description -l en_US libnotify -> lib notify, lib-notify, notify
bubblemail.x86_64: W: spelling-error %description -l en_US frontend -> fronted, front end, front-end
bubblemail.x86_64: W: spelling-error %description -l en_US frontends -> front ends, front-ends, fronds
bubblemail.x86_64: W: non-conffile-in-etc /etc/xdg/autostart/bubblemaild.desktop
bubblemail.x86_64: W: no-manual-page-for-binary bubblemail
bubblemail.x86_64: W: no-manual-page-for-binary bubblemail-avatar-provider
bubblemail.x86_64: W: no-manual-page-for-binary bubblemaild
bubblemail.src: W: spelling-error %description -l en_US imap -> imp, map, imam
bubblemail.src: W: spelling-error %description -l en_US libnotify -> lib notify, lib-notify, notify
bubblemail.src: W: spelling-error %description -l en_US frontend -> fronted, front end, front-end
bubblemail.src: W: spelling-error %description -l en_US frontends -> front ends, front-ends, fronds
4 packages and 0 specfiles checked; 1 errors, 12 warnings.




Rpmlint (debuginfo)
-------------------
Checking: bubblemail-debuginfo-0.4-1.fc32.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
	LANGUAGE = (unset),
	LC_ALL = (unset),
	LC_CTYPE = "C.UTF-8",
	LANG = "en_GB.UTF-8"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
	LANGUAGE = (unset),
	LC_ALL = (unset),
	LC_CTYPE = "C.UTF-8",
	LANG = "en_GB.UTF-8"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
bubblemail.x86_64: E: explicit-lib-dependency libsecret
bubblemail.x86_64: W: spelling-error %description -l en_US imap -> imp, map, imam
bubblemail.x86_64: W: spelling-error %description -l en_US libnotify -> lib notify, lib-notify, notify
bubblemail.x86_64: W: spelling-error %description -l en_US frontend -> fronted, front end, front-end
bubblemail.x86_64: W: spelling-error %description -l en_US frontends -> front ends, front-ends, fronds
bubblemail.x86_64: W: invalid-url URL: http://bubblemail.free.fr/ <urlopen error [Errno -2] Name or service not known>
bubblemail.x86_64: W: non-conffile-in-etc /etc/xdg/autostart/bubblemaild.desktop
bubblemail.x86_64: W: no-manual-page-for-binary bubblemail
bubblemail.x86_64: W: no-manual-page-for-binary bubblemail-avatar-provider
bubblemail.x86_64: W: no-manual-page-for-binary bubblemaild
bubblemail-debugsource.x86_64: W: invalid-url URL: http://bubblemail.free.fr/ <urlopen error [Errno -2] Name or service not known>
bubblemail-debuginfo.x86_64: W: invalid-url URL: http://bubblemail.free.fr/ <urlopen error [Errno -2] Name or service not known>
3 packages and 0 specfiles checked; 1 errors, 11 warnings.



Source checksums
----------------
https://framagit.org/razer/bubblemail/-/archive/v0.4/bubblemail-v0.4.tar.bz2 :
  CHECKSUM(SHA256) this package     : a62c54d8bafd50117a393effe457f0a044ca9b3b77d25551ee20e38239222e3d
  CHECKSUM(SHA256) upstream package : a62c54d8bafd50117a393effe457f0a044ca9b3b77d25551ee20e38239222e3d


Requires
--------
bubblemail (rpmlib, GLIBC filtered):
    /usr/bin/python3
    folks
    gnome-keyring
    hicolor-icon-theme
    libc.so.6()(64bit)
    libfolks.so.25()(64bit)
    libgee-0.8.so.2()(64bit)
    libgio-2.0.so.0()(64bit)
    libglib-2.0.so.0()(64bit)
    libgobject-2.0.so.0()(64bit)
    libpthread.so.0()(64bit)
    libsecret
    python(abi)
    python3
    python3-dbus
    python3-gobject
    python3-gstreamer1
    python3-pyxdg
    python3-requests
    rtld(GNU_HASH)

bubblemail-debuginfo (rpmlib, GLIBC filtered):

bubblemail-debugsource (rpmlib, GLIBC filtered):



Provides
--------
bubblemail:
    application()
    application(bubblemail.desktop)
    bubblemail
    bubblemail(x86-64)
    metainfo()
    metainfo(bubblemail.appdata.xml)
    python3.8dist(bubblemail)
    python3dist(bubblemail)

bubblemail-debuginfo:
    bubblemail-debuginfo
    bubblemail-debuginfo(x86-64)
    debuginfo(build-id)

bubblemail-debugsource:
    bubblemail-debugsource
    bubblemail-debugsource(x86-64)



Diff spec file in url and in SRPM
---------------------------------
--- /home/leigh/Desktop/1794882-bubblemail/srpm/bubblemail.spec	2020-01-25 08:02:10.712197022 +0000
+++ /home/leigh/Desktop/1794882-bubblemail/srpm-unpacked/bubblemail.spec	2020-01-25 01:58:35.000000000 +0000
@@ -45,7 +45,5 @@
 %prep
 %autosetup -p1 -n %{name}-v%{version}
-sed -i '1{\@^#!/usr/bin/env python@d}' \
-        bubblemail/plugins/spamfilterplugin.py \
-        bubblemail/plugins/userscriptplugin.py
+sed -i '1{\@^#!/usr/bin/env python@d}' bubblemail/plugins/spamfilterplugin.py bubblemail/plugins/userscriptplugin.py
 
 %build


Generated by fedora-review 0.7.4 (54fa030) last change: 2019-12-07
Command line :/usr/bin/fedora-review -m fedora-32-x86_64 -b 1794882
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, Python
Disabled plugins: C/C++, Java, Perl, R, SugarActivity, Ocaml, fonts, Haskell, PHP
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 3 Gwyn Ciesla 2020-01-25 17:02:04 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/bubblemail

Comment 4 Fedora Update System 2020-01-25 17:22:05 UTC
FEDORA-2020-258915db05 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-258915db05

Comment 5 Fedora Update System 2020-01-26 01:52:17 UTC
bubblemail-0.4-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-0dd9601f4a

Comment 6 Fedora Update System 2020-01-30 22:59:31 UTC
bubblemail-0.4-1.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-258915db05

Comment 7 Fedora Update System 2020-01-31 02:26:15 UTC
bubblemail-0.4-3.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-14013cff17

Comment 8 Fedora Update System 2020-02-08 01:38:35 UTC
bubblemail-0.4-3.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2020-02-08 02:01:53 UTC
bubblemail-0.4-3.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.